# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cabal/version'

Gem::Specification.new do |spec|
  spec.name          = "cabal"
  spec.version       = Cabal::VERSION
  spec.authors       = ["Dennis Walters"]
  spec.email         = ["dwalters@engineyard.com"]

  spec.summary       = %q{Retrieve SSH keys from the Cabal API}
  spec.homepage      = "https://github.com/engineyard/cabal"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|Procfile|config.ru|bin|config|mock)/?}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.9'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'aruba', '~> 0.9'
  spec.add_development_dependency 'rspec', "~> 3.3"
  spec.add_development_dependency 'yard', '~> 0.8.7'
  spec.add_development_dependency 'factis', '~> 1.0'
  spec.add_development_dependency 'simplecov', '~> 0.10'
  spec.add_development_dependency 'webmock', '~> 1.22'
  spec.add_development_dependency 'toady', '~> 0.0'

  spec.add_runtime_dependency 'cabal-util', '~> 0.1'
  spec.add_runtime_dependency 'belafonte', '~> 0.5'
  spec.add_runtime_dependency 'oj', '~> 2.12'
  spec.add_runtime_dependency 'faraday', '~> 0.9'
end
